IOTKit_ARMv8MML_s_ns project
============================

The **IOTKit_ARMv8MML_s_ns** project is a simple demo program for
ARM **IOTKit_ARMv8MML** microcontroller using ARM **V2M-MPS2+** Evaluation Board.
Compliant to Cortex Microcontroller Software Interface Standard (CMSIS).

Example functionality
---------------------
Clock Settings:
 - XTAL  =  50 MHz
 - CCLK  =  25 MHz

The example demonstrates the interworking between secure and un-secure mode
on an IOTKit ARMv8M Mainline microcontroller.

Secure Application:
 - Setup core.
 - Initialize LEDs.
 - Initialize GLCD.
 - LED0:  function call from Secure to Secure code                                    using Secure SysTick.
 - LED1:  function call from Secure to NonSecure code via registered function pointer using Secure SysTick.

NonSecure Application:
 - LED7:  function call from NonSecure to NonSecure code                             using NonSecure SysTick.
 - LED6:  function call from NonSecure to Secure Code via exported Secure functions  using NonSecure SysTick.
 - LED5:  function call from NonSecure to NonSecure code                             using while loop.
 - LED4:  function call from NonSecure to Secure code via exported Secure functions  using while loop.

Available targets
-----------------
 - V2M-MPS2+:  configured for MPS2+ (uses onboard CMSIS-DAP as debugger)

MPS2+ image: AN505 (+ MB BIOS image V2.2.0)
